Bug 469392 - SciPy Depreciation Warning: NumpyTest
SciPy Depreciation Warning: NumpyTest
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: scipy (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-31 12:10 EDT by Matt Fago
Modified: 2009-02-24 16:02 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.7.0-0.1.b1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-24 15:59:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed Patch (6.39 KB, patch)
2008-11-03 11:22 EST, Matt Fago
no flags Details | Diff
Updated patch (11.67 KB, patch)
2008-11-18 16:45 EST, Matt Fago
no flags Details | Diff

  None (edit)
Description Matt Fago 2008-10-31 12:10:51 EDT
Description of problem:

Running a script using Numpy 1.2.0-1.fc9 and Scipy 0.6.0-7.fc9 gives the warning messages:

/usr/lib64/python2.5/site-packages/scipy/misc/__init__.py:25: DeprecationWarning: NumpyTest will be removed in the next release; please update your code to use nose or unittest                                                                
  test = NumpyTest().test                                                       
/usr/lib64/python2.5/site-packages/scipy/linalg/__init__.py:32: DeprecationWarning: NumpyTest will be removed in the next release; please update your code to use nose or unittest                                                              
  test = NumpyTest().test                                                       
/usr/lib64/python2.5/site-packages/scipy/special/__init__.py:23: DeprecationWarning: NumpyTest will be removed in the next release; please update your code to use nose or unittest                                                             
  test = NumpyTest().test                                                       
/usr/lib64/python2.5/site-packages/scipy/interpolate/__init__.py:15: DeprecationWarning: NumpyTest will be removed in the next release; please update your code to use nose or unittest                                                         
  test = NumpyTest().test    


This is very annoying and breaks my scripts (I parse the output).


See: http://www.nabble.com/NumpyTest-warning-after-upgrade-td19714442.html


This is really the fault of the upstream developers, and has happened before (with NumPy 1.0.2 and SciPy 0.5.2). I don't understand why they release Numpy such that it breaks the current release of Scipy.

Anyhow, I'd appreciate it if you could apply the fix as in upstream svn (or in the reference above). Unless a new upstream version is due out soon...


Thanks,
Matt
Comment 1 Jef Spaleta 2008-10-31 14:03:39 EDT
Yeah this is unfortunate. 

If you can collect all the necessary changes of 
from numpy.testing import NumpyTest 
to
from numpy.testing import Tester 

into a patch that I can apply I'd very much welcome it. I'm not sure I can get to this until Sunday at the earliest if I need to do it on my own.

If you can get me a patch I will spin up an f9 update which includes it.


-jef
Comment 2 Matt Fago 2008-11-03 10:47:07 EST
I'll see if I can get together a patch.

Thanks,
Matt
Comment 3 Matt Fago 2008-11-03 11:22:11 EST
Created attachment 322335 [details]
Proposed Patch

I think this is everything. However, I could not figure out how to test this patch using:

  import scipy
  scipy.test(level=1)

from the non-installed copy I used to create the patch. Is that something that would be easy for you to do?

Thanks,
Matt
Comment 4 Matt Fago 2008-11-18 16:45:40 EST
Created attachment 323967 [details]
Updated patch

This patch now applies via 'patch -p1' from inside the top-level scipy directory. I was able to run the test suite via:

 from scipy import *
 test()

This does yield hundreds (?) of additional 'Obsolete' warnings etc, but does seem to remove the warnings that are the subject of this bug report. It seems that scipy has some significant changes coming in the next release to sync up with numpy again.

Does this look OK?

Thanks,
Matt
Comment 5 Fedora Update System 2009-01-04 00:44:48 EST
scipy-0.7.0-0.1.b1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/scipy-0.7.0-0.1.b1.fc9
Comment 6 Fedora Update System 2009-01-04 00:44:54 EST
scipy-0.7.0-0.1.b1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/scipy-0.7.0-0.1.b1.fc10
Comment 7 Fedora Update System 2009-01-07 04:07:54 EST
scipy-0.7.0-0.1.b1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update scipy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0020
Comment 8 Fedora Update System 2009-01-07 04:32:52 EST
scipy-0.7.0-0.1.b1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update scipy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0211
Comment 9 Matt Fago 2009-01-12 15:58:08 EST
As I wrote at http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0020
this does fix the depreciation warnings mentioned here.

However, an upstream package is not completely updated for 0.7.0 yet as:

>>from scipy.interpolate.fitpack import splev

gives the warning:

/usr/lib64/python2.5/site-packages/scipy/sparse/linalg/dsolve/linsolve.py:20: DeprecationWarning: scipy.sparse.linalg.dsolve.umfpack will be removed, install scikits.umfpack instead
  ' install scikits.umfpack instead', DeprecationWarning )


Thanks! I'll bring this up to the SciPy developers.
Comment 10 Matt Fago 2009-01-13 11:56:36 EST
There is a fix in SciPy trunk that evidently resolves the issue in #9, but it did not make it into the beta. So this should be fixed with the release version.

I think we can close this?

Thanks!
Matt
Comment 11 Jef Spaleta 2009-01-13 12:13:52 EST
If you can point me to the patch to fix it, I can re-roll an test update.

-jef
Comment 12 Matt Fago 2009-01-13 20:35:07 EST
I think it was fixed in trunk rev 5214. Not sure about a patch per-se.

Thanks,
 - Matt
Comment 13 Fedora Update System 2009-02-24 15:59:27 EST
scipy-0.7.0-0.1.b1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-02-24 16:02:01 EST
scipy-0.7.0-0.1.b1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.